Bug 112085 - httpd has not /etc/sysconfig/httpd as config file
Summary: httpd has not /etc/sysconfig/httpd as config file
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-14 10:37 UTC by Milan Kerslager
Modified: 2007-11-30 22:06 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2004-11-16 22:01:40 UTC


Attachments (Terms of Use)

Description Milan Kerslager 2003-12-14 10:37:01 UTC
The config file /etc/sysconfig/httpd is not included in httpd package
even /etc/init.d/httpd uses it. When looking for config files by rpm
-qc httpd it does not show this config file.

Because Apache show dates in auto-generated indexes in language given
by current locale when the server is started, this could be good to
mention this in an example of /etc/sysconfig/httpd like his:

$ cat /etc/sysconfig/httpd
# set your own environment for runnnig httpd daemon here

# uncomment next line to show dates in indexes in english
# instead of language given by system-wide locale
#LANG=C

Comment 1 Milan Kerslager 2004-09-05 06:11:54 UTC
RHEL3 U3 hasn't the file too.

Comment 2 Joe Orton 2004-09-06 12:20:11 UTC
Thanks for the report.

With respect to the $LANG setting, FYI: httpd is started with LANG=C
by default for FC3 onwards.   A sample /etc/sysconfig/httpd is also
now included as of httpd-2.0.50-6.

You would you like to see the example /etc/sysconfig/httpd included
for future RHEL3 updates?

Comment 3 Joe Orton 2004-11-16 22:01:40 UTC
This is fixed for RHEL4.


Note You need to log in before you can comment on or make changes to this bug.